package com.simuwang.base.pojo.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.simuwang.base.pojo.vo.DeletionInfoVO;
import lombok.Data;

import java.util.Date;

/**
 * FileName: DeletionInfoDO
 * Author:   chenjianhua
 * Date:     2024/9/17 18:45
 * Description: ${DESCRIPTION}
 */
@Data
public class DeletionInfoDO {
    /**
     * 主键Id
     */
    private Integer id;
    /**
     * 基金ID
     */
    private String fundId;
    /**
     * 基金名称
     */
    private String fundName;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 缺失类型
     */
    private Integer deletionType;
    /**
     * 缺失日期
     */
    private String deletionDate;
    /**
     * 备注
     */
    private String remark;
    /**
     * 缺失数量
     */
    private Integer deletionNum;
    /**
     * 已处理数量
     */
    private Integer processedNum;

    /**
     * 是否有效：0-无效，1-有效
     */
    private Integer isvalid;
    /**
     * 创建者Id
     */
    private Integer creatorId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改者Id
     */
    private Integer updaterId;
    /**
     * 更新时间
     */
    private Date updateTime;

    public DeletionInfoVO toVO() {
        DeletionInfoVO deletionInfoVO = new DeletionInfoVO();
        deletionInfoVO.setFundId(this.fundId);
        deletionInfoVO.setFundName(this.fundName);
        deletionInfoVO.setCompanyName(this.companyName);
        deletionInfoVO.setDeletionType(this.deletionType);
        deletionInfoVO.setDeletionNum(this.deletionNum);
        deletionInfoVO.setProcessedNum(this.processedNum);
        return deletionInfoVO;
    }
}
